Utilizamos cookies propias y de terceros. Al navegar entendemos que aceptas el uso de cookies. +Info.
Política de cookies
Proyecto AjpdSoft

· Inicio
· Buscar
· Contactar
· Cookies
· Descargas
· Foros
· Historia
· Nosotros
· Temas
· Top 10
· Trucos
· Tutoriales
· Usuario
· Wiki

Proyecto AjpdSoft: Foros

AjpdSoft :: Ver tema - Lío con .Net Framework ¿para qué sirve? ¿versiones?
Foros de discusión Buscar Perfil FAQ Iniciar sesión
Information Lío con .Net Framework ¿para qué sirve? ¿versiones?

Publicar nuevo tema Responder al tema
Foros de discusión » Windows 10, Windows 7, Windows Server 2010, W2008, W2003   
Ver tema anterior :: Ver tema siguiente
AutorMensaje
varios
Magnífico usuario


Registrado: Oct 10, 2006
Mensajes: 2092

Asunto: Lío con .Net Framework ¿para qué sirve? ¿versiones? Responder citando

Hola, soy usuario iniciado en Windows, antes trabajaba con MAC OS y con Linux. El caso es que tengo un equipo con Windows XP y otro con Windows 7 y a veces ejecuto alguna aplicación y me dice que tengo que instalar el .Net Framework XXX y no entiendo para qué sirve, si debo instalarlo o qué pues en algunos equipos esa misma aplicación funciona sin instalar nada.
MensajePublicado:
Mar Abr 08, 2014 6:17 am
Top of PageVer perfil de usuario
alonsojpd
Administrador/Moderador


Registrado: Sep 16, 2003
Mensajes: 2687

Asunto: Re: Lío con .Net Framework ¿para qué sirve? ¿versiones? Responder citando



Anuncios



En resumen, si una aplicación ha sido desarrollada para la plataforma .Net Framework necesitará que esté instalada en el equipo. Por defecto, los sistemas operativos Windows suelen incluir alguna versión de .Net Frameword ya instalada (que no necesitas instalar pues se incluye con la instalación del sistema operativo). En concreto:

Windows XP Home Edition ----> No incluye .Net Framework instalado
Windows XP Professional ----> No incluye .Net Framework instalado
Windows Vista SP2 ----> .NET Framework 3.0 SP2
Windows 7 SP1 ----> .NET Framework 3.5 SP1
Windows 8 ----> .NET Framework 4.5
Windows 8.1 ----> .NET Framework 4.5.1
Windows Server 2003 ----> .NET Framework 2.0 SP2
Windows Server 2008 SP2 ----> .NET Framework 2.0 SP2 (habilitado de forma predeterminada), .NET Framework 3.0 SP2
Windows Server 2008 R2 SP1 ----> .NET Framework 2.0 SP2 (habilitado de forma predeterminada), .NET Framework 3.5 SP1, .NET Framework 3.0 SP2
Windows Server 2012 ----> .NET Framework 4.5
Windows Server 2012 R2 ----> .NET Framework 4.5.1

Por lo tanto, si la aplicación que estás ejecutando requiere de una versión de .Net Framework que ya incluye tu sistema operativo no necesitarás instalarla. En cambio, si la aplicación requiere de una versión de .Net Framework que no tienes en tu equipo deberás instalarla.

En realidad .Net Framework es muy similar a Java Runtime Environment, al igual que ocurre con las aplicaciones Java, que requieren de una versión concreta de JRE que debes tener instalada en tu PC, para las aplicaciones .Net ocurre lo mismo.

.Net Framework es la plataforma base para las aplaciones desarrolladas para
MensajePublicado:
Mar Abr 08, 2014 6:28 am
Top of PageVer perfil de usuario
varios
Magnífico usuario


Registrado: Oct 10, 2006
Mensajes: 2092

Asunto: Re: Lío con .Net Framework ¿para qué sirve? ¿versiones? Responder citando



Anuncios



alonsojpd escribió:
En resumen, si una aplicación ha sido desarrollada para la plataforma .Net Framework necesitará que esté instalada en el equipo. Por defecto, los sistemas operativos Windows suelen incluir alguna versión de .Net Frameword ya instalada (que no necesitas instalar pues se incluye con la instalación del sistema operativo). En concreto:

Windows XP Home Edition ----> No incluye .Net Framework instalado
Windows XP Professional ----> No incluye .Net Framework instalado
Windows Vista SP2 ----> .NET Framework 3.0 SP2
Windows 7 SP1 ----> .NET Framework 3.5 SP1
Windows 8 ----> .NET Framework 4.5
Windows 8.1 ----> .NET Framework 4.5.1
Windows Server 2003 ----> .NET Framework 2.0 SP2
Windows Server 2008 SP2 ----> .NET Framework 2.0 SP2 (habilitado de forma predeterminada), .NET Framework 3.0 SP2
Windows Server 2008 R2 SP1 ----> .NET Framework 2.0 SP2 (habilitado de forma predeterminada), .NET Framework 3.5 SP1, .NET Framework 3.0 SP2
Windows Server 2012 ----> .NET Framework 4.5
Windows Server 2012 R2 ----> .NET Framework 4.5.1

Por lo tanto, si la aplicación que estás ejecutando requiere de una versión de .Net Framework que ya incluye tu sistema operativo no necesitarás instalarla. En cambio, si la aplicación requiere de una versión de .Net Framework que no tienes en tu equipo deberás instalarla.

En realidad .Net Framework es muy similar a Java Runtime Environment, al igual que ocurre con las aplicaciones Java, que requieren de una versión concreta de JRE que debes tener instalada en tu PC, para las aplicaciones .Net ocurre lo mismo.

.Net Framework es la plataforma base para las aplaciones desarrolladas para


Ok, ahora lo entiendo, tengo otro problemilla, en el PC con Windows 7 he instalado .Net Framework 4.5 y la aplicación me funciona bien, pero en el de Windows XP no consigo instalar .Net Framework 4.5, me dice:

Este sistema operativo no admite .NET Framework 4.5

Y no sé cómo instalar .NET Framework 4.5 en Windows XP???
MensajePublicado:
Mar Abr 08, 2014 6:37 am
Top of PageVer perfil de usuario
alonsojpd
Administrador/Moderador


Registrado: Sep 16, 2003
Mensajes: 2687

Asunto: Re: Lío con .Net Framework ¿para qué sirve? ¿versiones? Responder citando



Anuncios



varios escribió:
Ok, ahora lo entiendo, tengo otro problemilla, en el PC con Windows 7 he instalado .Net Framework 4.5 y la aplicación me funciona bien, pero en el de Windows XP no consigo instalar .Net Framework 4.5, me dice:

Este sistema operativo no admite .NET Framework 4.5

Y no sé cómo instalar .NET Framework 4.5 en Windows XP???


.NET Framework 4.5 ya no es posible instalarlo en equipos con Windows XP, esta es una estrategia de Microsoft para que los usuarios actualicen a Windows 7 y Windows 8 sus equipos.

Si necesitas utilizar el software que requiere .NET Framework 4.5 tendrás que cambiar de versión de sistema operativo, es una medida relativamente drástica, pero es la única posible. Salvo que la aplicación que necesitas sea un desarrollo a medida y puedas indicar que usen .NET Frameworkd 4.0 en lugar de 4.5, de esta forma sí podrías ejecutarla en equipos con Windows XP, pues .NET Frameworkd 4.0 sí es compatible con Windows XP.

Microsoft no parece que vaya a "cambiar de opinión" al respecto de hacer incompatible .NET Frameworkd 4.5 (y superiores) con Windows XP, pues ya ha dejado de dar soporte a Windows XP y dejará en breve de sacar parches y actualizaciones. Todo pensado estratégicamente para que los usuarios cambien a Windows 7 y Windows 8.
MensajePublicado:
Mar Abr 08, 2014 6:42 am
Top of PageVer perfil de usuario
varios
Magnífico usuario


Registrado: Oct 10, 2006
Mensajes: 2092

Asunto: [RESUELTO] .Net Framework ¿para qué sirve? ¿versiones? Responder citando



Anuncios



alonsojpd escribió:
.NET Framework 4.5 ya no es posible instalarlo en equipos con Windows XP, esta es una estrategia de Microsoft para que los usuarios actualicen a Windows 7 y Windows 8 sus equipos.

Si necesitas utilizar el software que requiere .NET Framework 4.5 tendrás que cambiar de versión de sistema operativo, es una medida relativamente drástica, pero es la única posible. Salvo que la aplicación que necesitas sea un desarrollo a medida y puedas indicar que usen .NET Frameworkd 4.0 en lugar de 4.5, de esta forma sí podrías ejecutarla en equipos con Windows XP, pues .NET Frameworkd 4.0 sí es compatible con Windows XP.

Microsoft no parece que vaya a "cambiar de opinión" al respecto de hacer incompatible .NET Frameworkd 4.5 (y superiores) con Windows XP, pues ya ha dejado de dar soporte a Windows XP y dejará en breve de sacar parches y actualizaciones. Todo pensado estratégicamente para que los usuarios cambien a Windows 7 y Windows 8.


OK, muchas gracias por la información, en vista de que no es posible instalar .NET Framework en Windows XP y en vista de que la aplicación que necesito ejecutar no es software a medida, he optado por ampliar la RAM al equipo con XP y montar Windows 7.

Muchas gracias!!
MensajePublicado:
Mar Abr 08, 2014 6:45 am
Top of PageVer perfil de usuario
Mostrar mensajes de anteriores:   
Todas las horas son GMT - 1 Horas
Publicar nuevo tema Responder al tema
Foros de discusión » Windows 10, Windows 7, Windows Server 2010, W2008, W2003  

Cambiar a:  
Key
  Puede publicar nuevos temas en este foro
No puede responder a temas en este foro
No puede editar sus mensajes en este foro
No puede borrar sus mensajes en este foro
No puede votar en encuestas en este foro
Este sitio web NO CONTIENE malware, todos los programas con código fuente aquí. Autor: Alonso Javier Pérez Díaz Google+ Síguenos en Google+